about summary refs log tree commit diff stats
diff options
context:
space:
mode:
-rwxr-xr-xranger/data/scope.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/ranger/data/scope.sh b/ranger/data/scope.sh
index dd8db89c..e1a336e0 100755
--- a/ranger/data/scope.sh
+++ b/ranger/data/scope.sh
@@ -282,6 +282,12 @@ handle_mime() {
             pandoc -s -t markdown -- "${FILE_PATH}" && exit 5
             exit 1;;
 
+	## Mails
+	message/rfc822)
+	    ## Parse email with mu: https://github.com/djcb/mu
+	    mu view -- "${FILE_PATH}" && exit 5
+	    exit 1;;
+
         ## XLS
         *ms-excel)
             ## Preview as csv conversion